name: require_unique_uid_per_workload
policies:
  -  ../../../policies/require-unique-uid-per-workload.yaml
resources:
  - bad-resource.yaml
  - good-resource.yaml
variables: variables.yaml
results:
  - policy: require-unique-uid-per-workload
    rule: require-unique-uid
    resource: already-taken-user
    kind: Pod
    result: fail
  - policy: require-unique-uid-per-workload
    rule: require-unique-uid
    resource: free-user
    kind: Pod
    result: pass